﻿@import url('https://fonts.googleapis.com/css2?family=Kanit:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

#headerSieg {
    font-family: 'Kanit';
}

:root {
    --inset-shadow-lg: inset 0px 2px 20px -1px rgba(46, 46, 46, 0.192);
    --shadow-lg: 0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1);
    --header-background-color: #eff6ff;
    --solution-background-color: white;
    --solution-text-color: inherit;
    --btn-neutral-text-color: #1e40af;
    --solution-active-background-color: #dbeafe;
}
    :root [data-theme="dark"],
    :root .darkmode--activated {
        --header-background-color: #1e293b;
        --solution-background-color: oklch(37.2% .044 257.287);
        --solution-text-color: white;
        --btn-neutral-text-color: white;
        --solution-active-background-color: oklch(37.2% .044 257.287);
    }


#headerSieg {
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999;
    border-bottom: thin solid #12121230;
}

    #headerSieg nav.navbar {
        height: 75px;
        max-height: 75px !important;
        width: 100%;
        padding: 8px 16px;
        display: flex;
        background: var(--header-background-color);
        & p {
                margin: 0px;
            }
    }



/* Referencias visuais */
#headerSieg .nav-content {
    flex: 1;
    gap: 16px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

#headerSieg .nav-items {
    flex: 1;
    gap: 16px;
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

    @media (max-width: 780px) {
        #headerSieg .nav-items {
            & > button,
            & > .megamenu
            {
                display: none !important;
            }
        }
    }

    #headerSieg .nav-items.nav-buttons {
        justify-content: flex-start;
    }

#headerSieg .logo {
    display: flex;
    background: var(--solution-background-color);
    border-radius: 8px 16px;
    padding: 12px;
}

    #headerSieg .logo img {
        height: 25px;
    }

[data-theme="dark"] #headerSieg .logo img,
.darkmode--activated #headerSieg .logo img {
    filter: brightness(10);
}

#headerSieg .soluctions-container {
    gap: 17px;
    padding: 0 16px;
    display: flex;
    align-items: center;
    border-left: thin solid rgb(196, 196, 196);
    border-right: thin solid rgb(196, 196, 196);
}

#headerSieg .profile-dropdown {
    display: flex;
    gap: 16px;
    align-items: center;
    cursor: pointer;
}

#headerSieg .notification {
    position: relative;
}

    #headerSieg .notification.badge::before {
        content: '';
        position: absolute;
        top: 10px;
        right: 10px;
        width: 20px;
        height: 20px;
        background: blue;
    }

#headerSieg .profile-dropdown figure {
    width: 44px;
    height: 44px;
    border-radius: 50%;
    overflow: hidden;
}

    #headerSieg .profile-dropdown figure img {
        width: 120%;
    }

#headerSieg .soluction {
    max-width: 52px;
    height: 52px;
    gap: 12px;
    border-radius: 8px;
    padding: 12px;
    display: flex;
    align-items: center;
    box-shadow: var(--shadow-lg);
    background: var(--solution-background-color);
    transition: max-width 0.5s ease;
    cursor: pointer;
    overflow-x: clip;
    font-size: 14px;
    color: #334155;
    user-select: none;
    text-decoration: none;
}

    #headerSieg .logo img,
    #headerSieg .soluction img {
        max-width: none;
    }
    
    #headerSieg .soluction:hover {
        background: var(--solution-background-color);
        max-width: 200px;
    }

    #headerSieg .soluction.active {
        max-width: 200px;
        background: var(--solution-active-background-color);
        box-shadow: var(--inset-shadow-lg);
    }

    #headerSieg .soluction .text-container {
        min-width: fit-content;
        font-size: 13px;
        line-height: 1.1;
        color: var(--solution-text-color);
    }

/* STYLES BUTTONS */
#headerSieg button {
    outline: none;
    border: none;
    background: none;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 400;
    border-radius: 8px;
    height: 44px;
    padding: 12px;
    gap: 8px;
    width: max-content;
}

    #headerSieg button i,
    #headerSieg button .icon {
        font-size: 16px;
    }

    #headerSieg button.btn-neutral {
        background: var(--solution-background-color);
        color: var(--btn-neutral-text-color);
    }

/* UTILS */
#headerSieg .divider-vertical {
    min-width: 1px;
    background: rgb(179, 179, 179);
    border-radius: 5px;
    min-height: 32px;
    height: 100%;
    flex: 0 1;
    opacity: 0;
}

/* MODALS */
#headerSieg .modal-wrapper {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    display: none;
    padding: 0 1rem;
}

    #headerSieg .modal-wrapper.show {
        display: flex;
        align-items: center;
    }

#headerSieg #allServices .modal {
    width: 98%;
    height: min-content;
    background-color: white;
    position: absolute;
    animation: modalTop 0.2s ease-in-out;
    box-shadow: var(--shadow-lg);
    padding: 1rem;
    border-radius: 4px;
    border: thin solid rgb(238, 238, 238);
}

/* MODAL HEADER */
#headerSieg #allServices .container {
    display: flex;
    gap: 8px;
    padding: 1rem 2rem;
}

    #headerSieg #allServices .container .content {
        display: flex;
        flex-direction: column;
        flex-wrap: wrap;
        padding: 0 2rem;
    }

        #headerSieg #allServices .container .content h3 {
            user-select: none;
        }

        #headerSieg #allServices .container .content.left {
            display: flex;
            flex-direction: column;
            gap: 12px;
        }

#headerSieg .content.left img {
    fill: #1e40af;
}

#headerSieg #allServices .container .content.left img {
    display: block;
    width: min-content;
    cursor: pointer;
}

#headerSieg #allServices .container .content.center {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    gap: 12px;
    flex-grow: 1;
    border-left: thin solid rgb(238, 238, 238);
    border-right: thin solid rgb(238, 238, 238);
}

#headerSieg #allServices .container .content.right a {
    width: max-content;
    padding: 5px;
    display: flex;
    align-items: center;
    height: auto;
    font-size: 20px;
    color: #4f5e74;
    font-weight: 500;
    cursor: pointer;
    gap: 8px;
}

    #headerSieg #allServices .container .content.right a:hover {
        color: #1e40af;
    }

@keyframes modalTop {
    from {
        transform: translateY(-15%);
        opacity: 0;
    }

    to {
        transform: translateY(0);
        opacity: 1;
    }
}

/* region modalplans */
#modalplans {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    z-index: 9999;
}

#modalplans {
    font-family: 'Kanit', sans-serif;
    background: #fff;
    color: #000;
    line-height: 1.5;
}


#modalplans {
    background: rgba(0, 0, 0, 0);
    position: fixed;
    width: 100dvw;
    height: 100dvh;
    top: 0;
    left: 0;
    pointer-events: none;
        
    font-size: 16px;


    &.show
    {
        pointer-events: all;
        background: rgba(0, 0, 0, 0.2);
    }

}

#modalplans .container {
    max-width: 800px;
    min-width: 42vw;
    height: 100dvh;
    padding: 24px;
    background-color: #fff;
    position: fixed;
    overflow-y: auto;
    right: 0;
    top: 0;
    transform: translateX(1200px);
    opacity: 0;
    transition: transform 0.3s ease-in-out, opacity 0.3s ease-in-out;
    scrollbar-gutter: stable both-edges;
    border-left: 1px solid #e2e8f0;
}


    #modalplans .container::-webkit-scrollbar {
        background: transparent;
        width: 8px;
    }

    #modalplans .container::-webkit-scrollbar-thumb {
        background: #1e40af;
        border-radius: 3px;
    }

    #modalplans .container::-webkit-scrollbar-track {
        padding: 1em;
    }

#modalplans.show .container {
    transform: translateX(0);
    opacity: 1;
    transition: transform 0.3s ease-in-out, opacity 0.3s ease-in-out;
}

/* Header */
#modalplans .header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 32px;
}

#modalplans .header-title {
    font-size: 32px;
    font-weight: 600;
}

#modalplans .header-subtitle {
    font-size: 16px;
    font-weight: 400;
    color: rgba(0,0,0,0.6);
}

#modalplans .btn-close {
    width: 32px;
    height: 32px;
    background: #fff;
    border: none;
    border-radius: 8px;
    font-size: 1em;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    position: unset;
    margin-left: 0px;
    transition: background-color 0.2s;
    &:hover
    {
        background: #f1f5f9;
    }
}


/* Info Banner */
#modalplans .info-banner {
    display: flex;
    align-items: start;
    gap: 8px;
    margin-bottom: 32px;
    padding: 16px;
    border: 1px solid #2563eb;
    background: #dbeafe;
    border-radius: 8px;
}

#modalplans .info-icon {
    width: 24px;
    height: 24px;
    flex-shrink: 0;
    color: #2563eb;
    font-size: 1.2em;
}

#modalplans .info-text {
    color: #475569;
    font-size: .875em;
}

/* Plans */
#modalplans .plans-section {
    background: #f8fafc;
    border-radius: 8px;
    padding: 32px 24px;
    margin-bottom: 32px;
}

#modalplans .plans-header h2 {
    font-size: 16px;
    font-weight: 500;
    margin-bottom: 8px;
}

#modalplans .plans-header {
    margin-bottom: 8px;
}

    #modalplans .plans-header p {
        color: #334155;
        font-size: .875em;
    }

#modalplans .plans-grid {
    display: grid;
    gap: 16px;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
}

#modalplans .plan-card {
    background: #fff;
    border: 2px solid #cbd5e1;
    border-radius: 8px;
    padding: 24px;
    min-height: 247px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    &.recommended

{
    border-color: #60a5fa;
}

}

#modalplans .plan-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 12px;
}

#modalplans .plan-name {
    font-size: 20px;
    font-weight: 500;
}

#modalplans .tag-recommended {
    background: #e0f2fe;
    color: #0c4a6e;
    padding: 8px 12px;
    border-radius: 9999px;
    font-size: 14px;
}

#modalplans .plan-description {
    color: #1f2937;
    font-size: 14px;
    margin-bottom: 16px;
}

#modalplans .plan-button {
    width: 100%;
    background: #1d4ed8;
    color: #fff;
    border: none;
    border-radius: 8px;
    padding: 12px;
    cursor: pointer;
    font-family: inherit;
    transition: background-color 0.2s;
}

    #modalplans .plan-button:hover {
        background: #1e40af;
    }

/* Table */
#modalplans .table-container {
    border: 2px solid #f3f4f6;
    border-radius: 8px;
    overflow: hidden;
}

#modalplans .table-header,
#modalplans .table-row {
    display: grid;
    grid-template-columns: 250px 1fr 1fr;
    padding: 12px;
    min-height: 72px;
    border-bottom: 1px solid #f3f4f6;
}

#modalplans .table-header {
    background: #f1f5f9;
    min-height: 66px;
}

#modalplans .table-header-cell,
#modalplans .table-cell {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 12px;
    font-size: 14px;
    color: #000;
}

    #modalplans .table-header-cell:first-child,
    #modalplans .table-cell:first-child {
        justify-content: flex-start;
    }

#modalplans .icon-check,
#modalplans .icon-close {
    width: 32px;
    height: 32px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

#modalplans .icon-check {
    background: #dcfce7;
    color: #166534;
}

#modalplans .icon-close {
    background: #fee2e2;
    color: #991b1b;
}

    #modalplans .icon-check svg,
    #modalplans .icon-close svg {
        width: 12px;
        height: 12px;
    }

#modalplans .text-secondary {
    color: #334155;
}

/* Responsivo */
@media (max-width: 768px) {
    #modalplans .plans-grid {
        grid-template-columns: 1fr;
    }

    #modalplans .table-header, #modalplans .table-row {
        grid-template-columns: 1fr;
    }

    #modalplans .table-header-cell, #modalplans .table-cell {
        justify-content: flex-start !important;
    }
}


#modalplans .modal-content,
#modalplans .modal-form {
    transition: opacity 0.3s ease-in-out, transform 0.3s ease-in-out;
}

#modalplans .modal-content {
    opacity: 0;
    transform: translateX(-20px);
    display: none;
    box-shadow: none;
    border: none;
}

.modal-form {
    opacity: 0;
    transform: translateX(20px);
    display: none;
}

#modalplans .modal-content.active,
#modalplans .modal-form.active {
    opacity: 1;
    transform: translateX(0);
    display: grid;
    grid-template-rows: min-content 1fr;
}

#modalplans .modal-form.active {
    height: calc(100dvh - 20dvh);
}

#modalplans .form-title {
    font-size: 1.5em;
    margin-bottom: 16px;
}

#modalplans .modal-form form {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

#modalplans .modal-form input {
    padding: 10px;
    border-radius: 6px;
    border: 1px solid #475569;
    font-family: inherit;
    &::placeholder

{
    color: #47556975;
}

}

#modalplans .modal-form label {
    display: flex;
    flex-flow: column;
    font-size: 1em;
    font-weight: 500;
    gap: .275em
}

#modalplans .modal-form .actions {
    display: flex;
    align-self: flex-end;
    justify-self: end;
    align-items: end;
    gap: .5em;
    height: 20vh;
}

#modalplans .modal-form .contactCnpj {
    display: flex;
    gap: 1em;
    & > label:first-child

{
    flex: 1;
    width: 100%;
}

}


#modalplans .plan-button,
#modalplans .back-button {
    border-radius: 8px;
    padding: 8px 12px;
    font-family: inherit;
    font-size: 1em;
    transition: background-color 0.2s;
    border: 2px solid #1d4ed8;
    cursor: pointer;
}


    #modalplans .plan-button:disabled {
        opacity: .8;
        color: #333;
        background: #d7d7d7;
        border: 0;
    }

    #modalplans .back-button {
        background: transparent;
        font-weight: 500;
        color: #1d4ed8;
    }

    #modalplans .back-button:hover {
        background: #e5e8eb;
    }


#modalplans .custom-select-wrapper {
    position: relative;
    width: 200px;
    display: flex;
    flex-direction: column;
    gap: 6px;
}

#modalplans .custom-select {
    position: relative;
    display: flex;
    align-items: center;
    background: #fff;
    border: 1px solid #475569;
    border-radius: 6px;
    cursor: pointer;
    font-size: .875em;
    font-family: inherit;
}


    #modalplans .custom-select.open i {
        transform: rotate(180deg);
    }

    #modalplans .custom-select i {
        position: absolute;
        right: 10px;
        transition: .2s ease-out;
    }

    #modalplans .custom-select .selected {
        color: #1f2937;
        padding: 10px;
        width: 100%;
        height: 100%;
    }

    #modalplans .custom-select .options {
        position: absolute;
        top: 120%;
        box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
        right: 0;
        width: 120%;
        background: #fff;
        border: 1px solid #cbd5e1;
        border-radius: 6px;
        max-height: 200px;
        overflow-y: auto;
        display: none;
        z-index: 10;
    }

    #modalplans .custom-select.open .options {
        display: block;
        list-style: none;
        padding: 0;
    }

    #modalplans .custom-select .options li {
        padding: 10px;
        cursor: pointer;
    }

        #modalplans .custom-select .options li:hover {
            background: #e0f2fe;
        }


#modalplans input.error {
    border-color: #dc2626;
}

#modalplans label.error-text {
    color: #dc2626;
    font-size: 0.675em;
    margin-top: 4px;
    &:empty

{
    margin-top: 0px;
}

}

#modalplans .custom-select.error {
    border: 1px solid #e11d48;
    box-shadow: 0 0 0 2px rgba(225, 29, 72, 0.2);
    border-radius: 6px;
}


/* Tela de Sucesso */
#modalplans .modal-success {
    display: none;
    padding: 2em;
}

    #modalplans .modal-success.active {
        display: block;
    }

#modalplans .success-content {
    text-align: center;
    max-width: 500px;
    margin: 0 auto;
}

#modalplans .success-icon {
    font-size: 5em;
    color: #22c55e;
    margin-bottom: 1.5em;
    animation: scaleIn 0.5s ease-out;
}

@keyframes scaleIn {
    0% {
        transform: scale(0);
        opacity: 0;
    }

    50% {
        transform: scale(1.1);
    }

    100% {
        transform: scale(1);
        opacity: 1;
    }
}

#modalplans .success-title {
    font-size: 1.75em;
    font-weight: 600;
    color: #1a1a1a;
    margin-bottom: 1em;
}

#modalplans .success-message {
    font-size: 1em;
    color: #666;
    line-height: 1.6;
    margin-bottom: 2em;
}

    #modalplans .success-message strong {
        color: #1a1a1a;
        font-weight: 500;
    }

#modalplans .close-success {
    width: 100%;
    max-width: 300px;
    margin: 0 auto;
}

#services-dropdown {
    background: blue !important;
}

a {
    text-decoration: none !important;
}

@media  screen and (max-width: 768px) {
    #headerSieg .soluctions-container {
        display: none;
    }
}